<div class="scribe-wrap">
	<div class="scribe-document-analysis-search-result-previews-container">
		<h3><?php _e('Page Analysis Metric'); ?></h3>
		<div class="scribe-document-analysis-keyword-analysis-metric-outer scribe-popup-analysis-score-wrap">
			<div class="scribe-wrap scribe-content-analysis-score scribe-analysis-meta-box-score" style="float: left; width: 40%">
				<?php _e( 'Page Score: ', 'scribeseo' ); ?>
				<span class="<?php echo scribe_score_class( $content_analysis->docScore ); ?>">
				<?php
				if ( empty( $content_analysis ) ) {
					 _e( '-', 'scribeseo' );
				} elseif ( isset( $content_analysis->docScore ) ) {
					printf( '%d', $content_analysis->docScore );
				} else {
					_e( 'N/A', 'scribeseo' );
				}
				?>
				</span>
			</div>
			<span class="scribe-wrap" style="float: left; width: 45%"><?php echo scribe_get_content_analysis_doc_score_text( $content_analysis->docScore, $content_analysis->keywords ); ?></span>
			<div class="clear"></div>
		</div>
	</div>

	<div class="scribe-document-analysis-improve-document-structure">
		<h3><?php _e('Improve Page Structure'); ?></h3>
		<p><?php _e('To improve the overall structure of your page, review the recommendations below.'); ?></p>

		<table class="widefat scribe-document-analysis-improve-document-structure-table">
			<thead>
				<tr valign="top">
					<th scope="col"><?php _e('Analysis &amp; Recommendations'); ?></th>
				</tr>
			</thead>
			<tbody>
				<?php $recommendations = self::get_content_recommendations($content_analysis->docScoreE); ?>
				<tr>
					<td>
						<ul <?php echo empty( $recommendations ) ? 'class="scribe-ready"' : ''; ?> style="margin: 0;">
						<?php if(empty($recommendations)) { ?>
							<li><span><?php _e('Good job! There are no recommendations for your content.'); ?></span></li>
						<?php
						} else {
							foreach($recommendations as $recommendation) {
						?>
							<li><span><?php echo esc_html($recommendation); ?></span></li>
						<?php
							}
						}
						?>
							<li><span>
								<strong><?php _e('Flesch Score'); ?></strong>
								<?php printf(__('The Flesch Score describes comprehension difficulty for a passage of text.<br />The Flesch score for this page is: <strong>%s</strong>'), esc_html( ucwords( $content_analysis->fleschScore ) ) ); ?>
							</span></li>
						</ul>
					</td>
				</tr>
			</tbody>
		</table>
	</div>
	<div class="scribe-document-analysis-search-result-previews-container">
		<h3><?php _e( 'Search Engine Example', 'scribseo' ); ?></h3>
		<p><?php _e('The following is an example of  how the content may appear in a Bing or Google search result.  You may make changes to this by editing the Title Tag and Meta Description.'); ?></p>

		<?php
		foreach((array)$content_analysis->serps as $engine_info) {
			if ( 'google' != $engine_info->engine )
				continue;
		?>
		<div class="scribe-document-analysis-search-result-preview-container scribe-document-analysis-search-result-preview-container-<?php echo esc_attr( $engine_info->engine ); ?>">
			<div class="scribe-document-analysis-search-result-preview-outer scribe-document-analysis-search-result-preview-outer-<?php echo esc_attr( $engine_info->engine ); ?>">
				<div class="scribe-document-analysis-search-result-preview scribe-document-analysis-search-result-preview-<?php echo esc_attr( $engine_info->engine ); ?>">
					<p><a target="_blank" href="<?php echo esc_url( $serp_url ? $serp_url : $content_analysis->serp_url ); ?>"><?php echo esc_html($content_analysis->serp_title); ?></a></p>
					
					<p class="scribe-document-analysis-search-result-preview-url"><?php echo esc_html( $serp_url ? $serp_url : $content_analysis->serp_url ); ?></p>
					<p><?php echo esc_html($content_analysis->serp_description); ?></p>
					
				</div>
			</div>
		</div>
		<?php } ?>

	</div>
	
	<div class="scribe-document-analysis-improve-keyword-grades">
		<h3><?php _e('Improve Keyword Rank'); ?></h3>
		<p><?php _e('To improve the ranking of your keywords, review the recommendations below.'); ?></p>
		
		<table class="widefat scribe-document-analysis-improve-keyword-grades-table">
			<thead>
				<tr valign="top">
					<th scope="col" class="scribe-document-analysis-improve-keyword-grades-table-keyword"><?php _e('Keyword'); ?></th>
					<th scope="col" class="scribe-document-analysis-improve-keyword-grades-table-recommendations"><?php _e('Analysis &amp; Recommendations'); ?></th>
				</tr>
			</thead>
			<tbody>
				<?php foreach($content_analysis->keywords as $keyword) { $keyword_recommendations = self::get_keyword_recommendations($keyword->kwe, $keyword->text); if(empty($keyword_recommendations)) { continue; } ?>
				<tr valign="top">
					<td scope="row" class="scribe-document-analysis-improve-keyword-grades-table-keyword"><?php echo esc_html( ucwords( $keyword->text ) ); ?></td>
					<td class="scribe-document-analysis-improve-keyword-grades-table-recommendations">
						<ul style="margin: 0;">
							<?php foreach($keyword_recommendations as $recommendation) { ?>
							<li><span><?php esc_html_e($recommendation); ?></span></li>
							<?php } ?>
						</ul>
					</td>
				</tr>
				<?php } ?>
			</tbody>
		</table>
	</div>
</div>