<div class="scribe-wrap">
	
	<?php if ( is_wp_error( $details ) ) { ?>
	
	<p><?php echo $details->get_error_message(); ?></p>
	
	<?php } else { ?>
	
	<?php if ( $details->cached && $_GET['scribe-details-previous'] ) { ?>
	<div class="scribe-keyword-details-old-warning"><?php _e( 'This information is historical and may not be currently accurate.', 'scribeseo' ); ?></div>
	<?php } ?>
	
	<div class="scribe-keyword-details-overall-container">
		<div class="scribe-keyword-details-overall">
			<div class="scribe-keyword-details-overall-score <?php echo scribe_bar_graph_class( $details->scoreDifficulty, 'keyword-difficulty' ); ?>">
				<?php echo esc_html( $details->scoreDifficulty ); ?>
			</div>
			<div class="scribe-keyword-details-overall-score-others">
				<h3 class="scribe-keyword-details-overall-score-header"><?php printf( __( 'Overall Score for: <span class="scribe-keyword-details-overall-score-header-term">%s</span>', 'scribeseo' ), esc_html( $queried_keyword ) ); ?></h3>
				<p><?php scribe_the_overall_score_description( $details->scoreDifficulty ); ?></p>
			</div>
			
			<div class="clear"></div>
		</div>
	</div>
	
	<div class="scribe-keyword-details-analysis scribe-keyword-details-section">
		<div class="scribe-keyword-details-graph-container">
			<h4><?php _e('Content Score'); ?></h4>
			<div class="scribe-keyword-details-graph-symbol scribe-keyword-details-graph-symbol-cross"></div>
			<div class="scribe-keyword-details-graph-outer">
				<div class="scribe-keyword-details-graph">
					<div class="scribe-keyword-details-graph-bar <?php echo scribe_bar_graph_class( $details->scoreContent ); ?>" style="width: <?php echo esc_attr( min( $details->scoreContent, 100 ) ); ?>%;">
						<div class="scribe-keyword-details-graph-score"><?php echo ( $details->scoreContent <= 100 ? (int)$details->scoreContent : '100+' ); ?></div>
					</div>
				</div>
			</div>
			<p class="scribe-keyword-details-graph-description"><?php scribe_the_content_score_description( $details->scoreContent ); ?> <?php printf( __( '<a data-placement="%s" rel="popover" title="Tell Me More" data-content="The Content Score compares the amount of content on your site for the term versus the amount of content for sites that rank for the term. A score of 100 indicates that your site content is on par with those ranking sites." href="%1$s">Tell me more &raquo;</a>', 'scribeseo' ), 'right', scribe_get_content_score_more_link( $details->scoreContent ) ); ?></p>
		</div>
		
		<div class="scribe-keyword-details-graph-container alt">
			<h4><?php _e('Link Score'); ?></h4>
			<div class="scribe-keyword-details-graph-symbol scribe-keyword-details-graph-symbol-check"></div>
			<div class="scribe-keyword-details-graph-outer">
				<div class="scribe-keyword-details-graph">
					<div class="scribe-keyword-details-graph-bar <?php echo scribe_bar_graph_class( $details->scoreLinks ); ?>" style="width: <?php echo esc_attr( min( $details->scoreLinks, 100 ) ); ?>%;">
						<div class="scribe-keyword-details-graph-score"><?php echo ( $details->scoreLinks <= 100 ? (int)$details->scoreLinks : '100+' ); ?></div>
					</div>
				</div>
			</div>
			<p class="scribe-keyword-details-graph-description"><?php scribe_the_link_score_description( $details->scoreLinks ); ?> <?php printf( __( '<a data-placement="%s" rel="popover" title="Tell Me More" data-content="The Link Score compares the amount of links to your site to sites that are ranking for the selected term. A Link Score above 100 indicates that you are equal to or greater than the average number of sites that are ranking for the term." href="%1$s">Tell me more &raquo;</a>'), 'left', scribe_get_link_score_more_link( $details->scoreLinks ) ); ?></p>
		</div>
		
		<div class="scribe-keyword-details-graph-container">
			<h4><?php _e('Page Authority'); ?></h4>
			<div class="scribe-keyword-details-graph-symbol scribe-keyword-details-graph-symbol-warn"></div>
			<div class="scribe-keyword-details-graph-outer">
				<div class="scribe-keyword-details-graph">
					<div class="scribe-keyword-details-graph-bar <?php echo scribe_bar_graph_class( $details->scorePageAuthority ); ?>" style="width: <?php echo esc_attr( min( $details->scorePageAuthority, 100 ) ); ?>%;">
						<div class="scribe-keyword-details-graph-score"><?php echo ( $details->scorePageAuthority <= 100 ? (int)$details->scorePageAuthority : '100+' ); ?></div>
					</div>
				</div>
			</div>
			<p class="scribe-keyword-details-graph-description"><?php scribe_the_domain_authority_score_description( $details->scoreDomainAuthority ); ?> <?php printf( __( '<a data-placement="%s" rel="popover" title="Tell Me More" data-content="The authority of your site, as reported by SEOMoz, is compared to the average page authority of sites that are ranking for the term. A score of 100 or greater indicates that you are on par with the average authority of sites that are ranking." href="%1$s">Tell me more &raquo;</a>', 'scribeseo' ), 'right', scribe_get_domain_authority_score_more_link( $details->scoreDomainAuthority ) ); ?></p>
		</div>
		
		<div class="scribe-keyword-details-graph-container alt">
			<h4><?php _e('Social Media Shares'); ?></h4>
			<div class="scribe-keyword-details-graph-symbol scribe-keyword-details-graph-symbol-check"></div>
			<div class="scribe-keyword-details-graph-outer">
				<div class="scribe-keyword-details-graph">
					<div class="scribe-keyword-details-graph-bar <?php echo scribe_bar_graph_class( $details->scoreFacebookLikes ); ?>" style="width: <?php echo esc_attr( min( $details->scoreFacebookLikes, 100 ) ); ?>%;">
						<div class="scribe-keyword-details-graph-score"><?php echo ( $details->scoreFacebookLikes <= 100 ? (int)$details->scoreFacebookLikes : '100+' ); ?></div>
					</div>
				</div>
			</div>
			<p class="scribe-keyword-details-graph-description"><?php scribe_the_facebook_likes_score_description( $details->scoreFacebookLikes ); ?> <?php printf( __( '<a data-placement="%s" rel="popover" title="Tell Me More" data-content="For the this term, we compare the number of shares of your content on social media sites to the average sharing by sites that rank for the term. The higher this score, the better." href="%1$s">Tell me more &raquo;</a>', 'scribeseo' ), 'left', scribe_get_facebook_likes_score_more_link( $details->scoreFacebookLikes ) ); ?></p>
		</div>
		
		<div class="clear"></div>
	</div>
	
	<div class="scribe-keyword-details-analysis scribe-keyword-details-section">
		<div class="scribe-keyword-details-analysis-box-outer">
			<div class="scribe-keyword-details-analysis-box">
				<h3 class="scribe-keyword-details-analysis-box-title"><?php _e('Gender'); ?></h3>
				<ul>
					<li><strong><?php printf( '%.0f', $details->scoreGenderMale ); ?>%</strong> Male</li>
					<li><strong><?php printf( '%.0f', $details->scoreGenderFemale ); ?>%</strong> Female</li>
				</ul>
			</div>
		</div>
		
		<div class="scribe-keyword-details-analysis-box-outer">
			<div class="scribe-keyword-details-analysis-box">
				<h3 class="scribe-keyword-details-analysis-box-title"><?php _e('Age'); ?></h3>
				<ul>
					<li><strong><?php printf( '%.0f', $details->agePrimaryValue ); ?>%</strong> <?php echo esc_html( $details->agePrimaryDescription ); ?></li>
					<li><strong><?php printf( '%.0f', $details->ageSecondaryValue ); ?>%</strong> <?php echo esc_html( $details->ageSecondaryDescription ); ?></li>
				</ul>
			</div>
		</div>
		
		<div class="scribe-keyword-details-analysis-box-outer">
			<div class="scribe-keyword-details-analysis-box">
				<h3 class="scribe-keyword-details-analysis-box-title"><?php _e( 'Avg. $ PPC', 'scribeseo' ); ?></h3>
				<ul>
					<li><strong>$<?php printf( '%.2f', $details->ppc ); ?></strong> Bing</li>
					<li>&nbsp;</li>
				</ul>
			</div>
		</div>
		
		<div class="scribe-keyword-details-analysis-box-outer last">
			<div class="scribe-keyword-details-analysis-box last">
				<h3 class="scribe-keyword-details-analysis-box-title"><?php _e( 'Search Volume'); ?></h3>
				<ul>
					<li><strong><?php echo number_format_i18n( $details->volumeAnnual ); ?></strong> <?php _e( 'Annual', 'scribeseo' ); ?></li>
					<li><strong><?php echo number_format_i18n( $details->volumeMonthly ); ?></strong> <?php _e( 'Monthly', 'scribeseo' ); ?></li>
				</ul>
			</div>
		</div>
		
		<div class="clear"></div>
	</div>
	
	<?php } ?>
	
</div>