<div class="scribe-analysis-meta-box-container">
	<div class="scribe-analysis-meta-box-results misc-pub-section">
		<div class="scribe-analysis-meta-box-doc-score-container">
			<div data-content-analysis-score="<?php echo esc_attr( $content_analysis->docScore ); ?>" class="scribe-content-analysis-score scribe-analysis-meta-box-score <?php echo scribe_score_class( $content_analysis->docScore ); ?>">
				<?php 
				if ( empty( $content_analysis ) ) {
					 _e( '-', 'scribeseo' );
				} elseif ( isset( $content_analysis->docScore ) ) {
					printf( '%d', $content_analysis->docScore );
				} else {
					_e( 'N/A', 'scribeseo' );
				}
				?>
			</div>
			<h4><?php _e( 'Page Score', 'scribeseo' ); ?></h4>
		</div>
		<div class="scribe-analysis-meta-box-site-score-container">
			<div data-content-analysis-score="<?php echo esc_attr( $content_analysis->scribeScore ); ?>" class="scribe-content-analysis-score scribe-analysis-meta-box-score <?php echo scribe_score_class( $content_analysis->scribeScore, 'site' ); ?>">
				<?php
				if ( empty( $content_analysis ) ) {
					 _e( '-', 'scribeseo' );
				} elseif ( isset( $content_analysis->scribeScore ) ) {
					printf( '%d', $content_analysis->scribeScore );
				} else {
					_e( 'N/A', 'scribeseo' );
				}
				?>
			</div>
			<h4><?php _e( 'Site Score', 'scribeseo' ); ?></h4>
		</div>
		
		<div class="clear"></div>
	</div>
	
	<div class="scribe-analysis-meta-box-dependencies misc-pub-section">
		<ul>
			<li>
				<span class="scribe-analysis-dependency-title">
					<?php _e('Title Tag Needed'); ?>
				</span>
				<span class="scribe-analysis-dependency-title scribe-ready">
					<?php _e('Title Tag Ready'); ?>
				</span>
			</li>
			<li>
				<span class="scribe-analysis-dependency-description">
					<?php _e('Meta Description Needed'); ?>
				</span>
				<span class="scribe-analysis-dependency-description scribe-ready">
					<?php _e('Meta Description Ready'); ?>
				</span>
			</li>
			<li>
				<span class="scribe-analysis-dependency-content">
					<?php _e('Content'); ?>
				</span>
				<span class="scribe-analysis-dependency-content scribe-ready">
					<?php _e('Content Ready'); ?>
				</span>
			</li>
		</ul>
	</div>
	
	<div class="scribe-analysis-meta-box-statistics misc-pub-section">
		<?php _e('Evaluations left: '); ?><strong><span class="scribe-analysis-evaluations-remaining"><?php echo number_format_i18n($remaining_evaluations); ?></span> <?php printf(__('as of %s'), date('F j, Y')); ?></strong>
	</div>
	
	<div class="scribe-analysis-meta-box-actions">
		<div class="scribe-analysis-meta-box-review-action alignleft">
			<input title="<?php _e('Content Analysis'); ?>" id="scribe-content-analysis-review-button" type="button" class="button button-secondary thickbox" alt="<?php scribe_the_upload_iframe_src('scribe-analysis-keywords', null, array('scribe-content-analysis-review' => 'true')); ?>" value="<?php _e('Review'); ?>" />
		</div>
		
		<div class="scribe-analysis-meta-box-analyze-action alignright">
			<img alt="" id="scribe-analysis-is-analyzing" class="ajax-loading" src="<?php echo esc_url( admin_url( 'images/wpspin_light.gif' ) ); ?>">
			<input id="scribe-content-analysis-analyze-button" type="button" class="button button-primary" value="<?php _e('Analyze'); ?>" />
			<?php wp_nonce_field('scribe-analyze-content', 'scribe-analyze-content-nonce'); ?>
		</div>
		<div class="clear"></div>
	</div>
</div>